<?php
/*
Plugin Name: EP Woocommerce Checkout Address AutoComplete
Plugin URI: https://exertpro.com/
Description: This Plugin is specially build for Woocommerce Checkout Address AutoCompletion.
Author: Shafiqul Islam
Author URI: https://exertpro.com/
Version: 1.1
Text Domain: epwca
*/

// If this file is called directly, abort.
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

/* PLUGIN SELF PATH */
define( 'EPWCA_SELF_PATH', 'ep-address-autocomplete-woocommerce/ep-address-autocomplete-woocommerce.php' );

// PLUGIN URL
define( 'EPWCA_PLUGIN_URL', plugins_url( '/', __FILE__ ) );

// PLUGIN PATH
define( 'EPWCA_PLUGIN_PATH', plugin_dir_path( __FILE__ ) );
define( 'EPWCA_PLUGIN_ASTS', EPWCA_PLUGIN_URL . 'assets' );
define( 'EPWCA_PLUGIN_CSS', EPWCA_PLUGIN_ASTS . '/css' );
define( 'EPWCA_PLUGIN_JS', EPWCA_PLUGIN_ASTS . '/js' );
define( 'EPWCA_PLUGIN_IMGS', EPWCA_PLUGIN_ASTS . '/images' );
define( 'EPWCA_PLUGIN_INC', EPWCA_PLUGIN_PATH . 'inc' );
define( 'EPWCA_PLUGIN_FUNCTION', EPWCA_PLUGIN_INC . '/functions' );
define( 'EPWCA_PLUGIN_ADMIN', EPWCA_PLUGIN_INC . '/admin-screens' );
define( 'EPWCA_PLUGIN_ADMIN_CSS', EPWCA_PLUGIN_URL . 'inc/admin-screens/css' );
define( 'EPWCA_PLUGIN_ADMIN_JS', EPWCA_PLUGIN_URL . 'inc/admin-screens/js' );

// PLUGIN VERSION
define( 'EPWCA_NAME_VERSION', '1.0' );


if( !function_exists('epwca_plugin_loaded') && in_array( 'woocommerce/woocommerce.php', apply_filters( 'active_plugins', get_option( 'active_plugins' ) ) ) ){
	function epwca_plugin_loaded(){
		load_plugin_textdomain( 'epwca', false, EPWCA_PLUGIN_PATH . 'languages' );

		// Settings Api
		if( file_exists( EPWCA_PLUGIN_ADMIN . '/class.settings-api.php' ) ){
			require_once( EPWCA_PLUGIN_ADMIN . '/class.settings-api.php' );
		}
		
		// All Settings
		if( file_exists( EPWCA_PLUGIN_ADMIN . '/class.options.php' ) ){
			require_once( EPWCA_PLUGIN_ADMIN . '/class.options.php' );
		}
		
		// All Plugins File Loaded
		$get_gmak = epwca_get_option('epwca_gm_api_key','epwca_general','');
		
		if( file_exists( EPWCA_PLUGIN_INC . '/core-init.php' ) && !empty( $get_gmak ) ){
			require_once( EPWCA_PLUGIN_INC . '/core-init.php' );
		}
		
	}
	add_action( 'plugins_loaded', 'epwca_plugin_loaded');
} // --- End
